Package ru.bitel.oss.kernel.job.common.bean

# Class Job

java.lang.Object
ru.bitel.oss.kernel.job.common.bean.Job

    public class Job
    extends java.lang.Object

Bean задачи встроенного в биллинг планировщика. ПРосто отображение модели БД. В рантайме работает другая сущность - JobRuntime.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Job​(long id, java.lang.String group, java.lang.String name, java.lang.String classname, boolean concurrent, boolean persistent, java.lang.String params, long version)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getClassName()` |
  `java.lang.String` | `getGroup()` |
  `long` | `getId()` |
  `java.lang.String` | `getName()` |
  `java.lang.String` | `getParams()` |
  `long` | `getVersion()` |
  `boolean` | `isConcurrent()` |
  `boolean` | `isPersistent()` |
  `void` | `setClassName​(java.lang.String className)` |
  `void` | `setConcurrent​(boolean concurrent)` |
  `void` | `setGroup​(java.lang.String group)` |
  `void` | `setId​(long id)` |
  `void` | `setName​(java.lang.String name)` |
  `void` | `setParams​(java.lang.String params)` |
  `void` | `setPersistent​(boolean persistent)` |
  `void` | `setVersion​(long version)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Job

    public Job​(long id, java.lang.String group, java.lang.String name, java.lang.String classname, boolean concurrent, boolean persistent, java.lang.String params, long version)

- ## Method Details

  - ### getId

    public long getId()

  - ### setId

    public void setId​(long id)

  - ### getGroup

    public java.lang.String getGroup()

  - ### setGroup

    public void setGroup​(java.lang.String group)

  - ### getName

    public java.lang.String getName()

  - ### setName

    public void setName​(java.lang.String name)

  - ### getClassName

    public java.lang.String getClassName()

  - ### setClassName

    public void setClassName​(java.lang.String className)

  - ### isConcurrent

    public boolean isConcurrent()

  - ### setConcurrent

    public void setConcurrent​(boolean concurrent)

  - ### isPersistent

    public boolean isPersistent()

  - ### setPersistent

    public void setPersistent​(boolean persistent)

  - ### getParams

    public java.lang.String getParams()

  - ### setParams

    public void setParams​(java.lang.String params)

  - ### getVersion

    public long getVersion()

  - ### setVersion

    public void setVersion​(long version)